Bug 474391 - Review Request: libbase - JFree Base Services
Review Request: libbase - JFree Base Services
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F11Blocker/F11FinalBlocker
  Show dependency treegraph
 
Reported: 2008-12-03 11:49 EST by Caolan McNamara
Modified: 2009-03-09 06:11 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-09 06:11:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Caolan McNamara 2008-12-03 11:49:42 EST
Spec URL: http://people.redhat.com/caolanm/rpms/libbase.spec
SRPM URL: http://people.redhat.com/caolanm/rpms/libbase-1.0.0-1.fc10.src.rpm
Description: libbase - JFree Base Services

libbase is a new dependency of the jfreereport family of packages, e.g. jcommon, jcommon-serializer etc which themselves are a dependency of openoffice.org's openoffice.org-report-designer
Comment 1 Caolan McNamara 2009-03-05 04:11:06 EST
Filed three months ago in anticipation, but today is when it becomes a requirement for 3.1 :-(
Comment 2 Jason Tibbitts 2009-03-05 17:12:22 EST
Sorry nobody has looked at this for so long; I've been mostly taking a break from reviewing packages.

This package looks fine; the only question I have is whether build-jar-repository should be called in %prep or in %build.  The guidelines don't say one way or the other.  I don't think this is worth holding things up over, although personally I like to be able to prep a package without installing its dependencies.

* source files match upstream.  sha256sum:
   6c4d907e912fbbda8228707540f5dab2954aa0e6f2ce1bd1ed9b4f43a7b6972a  
   libbase-1.0.0.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* debuginfo package looks complete.
* rpmlint is silent.
* final provides and requires are sane:
   libbase.jar.so()(64bit)
   libbase = 1.0.0-1.fc11
   libbase(x86-64) = 1.0.0-1.fc11
  =
   /bin/sh
   jakarta-commons-logging
   java
   java-gcj-compat >= 1.0.31
   jpackage-utils
   libgcc_s.so.1()(64bit)
   libgcc_s.so.1(GCC_3.0)(64bit)
   libgcj_bc.so.1()(64bit)
   libz.so.1()(64bit)

* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* scriptlets are OK (gcj database rebuilding).
* code, not content.
* %docs are not necessary for the proper functioning of the package.

* no pre-built jars
* single jar, named after the package
* jarfiles are under _javadir.
* javadocs are under _javadocdir.
* ant called properly.
* no wrapper script necessary.
* gcj called properly.

APPROVED
Comment 3 Caolan McNamara 2009-03-06 04:25:45 EST
New Package CVS Request
=======================
Package Name: libbase
Short Description: JFree Base Services
Owners: caolanm
Branches: devel
InitialCC:
Comment 4 Kevin Fenzi 2009-03-07 12:28:40 EST
cvs done.
Comment 5 Caolan McNamara 2009-03-09 06:11:10 EDT
thanks guys

Note You need to log in before you can comment on or make changes to this bug.